Skip to content
Navigation Menu
Sign in
Products
Platform
GitHub
Repository hosting, code review, and collaboration
Copilot
AI coding agent for tasks, projects and automated work
Build & Ship
Actions
CI/CD and automation
Code Quality
Quality analysis, fixes, and enforcement
Codespaces
Cloud development environments
Secure
Code Security
Vulnerability detection and remediation
Secret Protection
Secret scanning and leak prevention
All Features
Developers
Learn
Documentation
Training
Certifications
Build
Build with Copilot
Customize Copilot
Integrations
Explore
Trending repos
GitHub Sponsors
Developer articles
Changelog
Changelog
Your source for the latest features, improvements, and fixes across GitHub products, all in one place.
Businesses
By Stage
Enterprises
Team
Startups
Nonprofits
By Industry
Healthcare
Financial services
Manufacturing
Government
See all industries
Evaluate GitHub
Why GitHub
Customer Stories
Business insights
Trust Center
Add-ons
GitHub Advanced Security
Enterprise-grade code security
Copilot for business
Enterprise-grade AI features
Premium Support
Enterprise-grade 24/7 support
Resources
Learn & Connect
Documentation
Resource center
Blog
Events & webinars
Community Forum
Customer Stories
Integrations
Support
Customer support
Training
GitHub Status
Company
About
Partners
Changelog
GitHub Universe
GitHub Universe
The event for developers, by developers — talks, workshops, and what’s next for GitHub.
Pricing
Search
/
Sign in
Sign up
Appearance settings
You signed in with another tab or window.
Reload
to refresh your session.
You signed out in another tab or window.
Reload
to refresh your session.
You switched accounts on another tab or window.
Reload
to refresh your session.
Dismiss alert
{{ message }}
aio-libs
aiosmtpd
Repository navigation
Code
Issues
78
(78)
Pull requests
33
(33)
Discussions
Actions
Projects
Wiki
Security and quality
2
(2)
Insights
More
items
All pull requests
Labels
33
(33)
Milestones
3
(3)
New pull request
Search pull requests
is
:
pr
state
:
open
is:pr state:open
Clear filter
Search
Pull requests
Open
33
(33)
Closed
396
(396)
Author
Label
Projects
Milestones
Reviews
Assignee
Sort by
Newest
descending
Sort…
Sort by Newest descending
More items
Comfortable display density
Compact display density
Bump the pip group across 1 directory with 2 updates
dependencies
python
#655
·
dependabot[bot]
opened
Nov 1, 2026
Bot
·
·
Bump pytest-mock from 3.14.0 to 3.16.0
dependencies
python
#652
·
dependabot[bot]
opened
Oct 1, 2026
Bot
·
·
Bump coverage from 7.8.0 to 7.16.2
dependencies
python
#651
·
dependabot[bot]
opened
Oct 1, 2026
Bot
·
·
Bump atpublic from 5.0 to 8.0.1
dependencies
python
#650
·
dependabot[bot]
opened
Oct 1, 2026
Bot
·
·
Send one LMTP DATA reply per recipient (RFC 2033 4.2)
#648
·
aiolibsbot
opened
Sep 30, 2026
·
·
1
Support port=0 in the INET controllers
#647
·
aiolibsbot
opened
Sep 30, 2026
·
·
2
Add opt-in CHUNKING/BDAT support (RFC 3030)
#646
·
aiolibsbot
opened
Sep 30, 2026
·
·
1
Add handle_DATA_aborted hook for partial DATA payloads
#645
·
aiolibsbot
opened
Sep 30, 2026
·
·
1
Add require_angle_brackets option for RFC 5321 path syntax
#644
·
aiolibsbot
opened
Sep 30, 2026
·
5 of 6 tasks
·
·
2
Bump flake8-bugbear from 24.8.19 to 26.9.9
dependencies
python
#642
·
dependabot[bot]
opened
Sep 15, 2026
Bot
·
·
1
Bump pytest from 8.4.2 to 9.0.3 in /aiosmtpd/docs in the pip group across 1 directory
dependencies
python
#637
·
dependabot[bot]
opened
Sep 11, 2026
Bot
·
·
Bump sphinx from 8.2.0 to 9.1.0
dependencies
python
#635
·
dependabot[bot]
opened
Sep 11, 2026
Bot
·
·
1
Drop Python 3.9 support
#629
·
cuu508
opened
Aug 31, 2026
Contributor
·
2 of 10 tasks
·
·
6
Add missing annotations addressing most flake8 ANN violations
#627
·
loqs
opened
Aug 22, 2026
Contributor
·
4 of 10 tasks
·
·
2
Add missing type annotations for function arguments
#625
·
loqs
opened
Aug 15, 2026
Contributor
·
3 of 10 tasks
·
·
2
Remove trailing NUL byte from AUTH LOGIN challenges (Fixes #566)
#620
·
apoorvdarshan
opened
Jul 9, 2026
·
·
1
2
Fix tests to support parallel execution with pytest-xdist
#593
·
cuu508
opened
May 13, 2026
Contributor
·
4 of 5 tasks
·
·
136
Change auth mechanism to upper
#547
·
fietensen
opened
Mar 19, 2025
·
1 of 3 tasks
·
·
1
2
chunked data reading
#543
·
jsbucy
opened
Feb 28, 2025
Contributor
·
10 tasks
·
·
1
9
Add compatibility for Python 3.13
#473
·
rominf
opened
Jun 28, 2024
Contributor
·
6 tasks done
·
·
1
18
Small docs change
#384
·
waynew
opened
Oct 12, 2023
Contributor
·
·
1
7
Preserve proxy_data after starttls
#383
·
alexeyzotov
opened
Sep 12, 2023
·
1 of 10 tasks
·
·
Allow setting port=0 to use OS-assigned port.
#381
·
alext
opened
Jul 10, 2023
·
5 of 6 tasks
·
·
1
1
Fix authentication
#375
·
remram44
opened
Apr 13, 2023
·
1 of 9 tasks
·
·
1
Allow setting the user which we drop permissions to using suid.
#370
·
alexmv
opened
Feb 24, 2023
·
5 of 10 tasks
·
·
8
Previous
1
2
Next
You can’t perform that action at this time.